## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.5
%global pypi_name codecov

%global common_description %{expand:
Find coverage reports for supported languages, gather them and submit them to
Codecov.}

Name:           python-%{pypi_name}
Version:        2.1.12
Release:        %autorelease
Summary:        Python report uploader for Codecov

License:        ASL 2.0
URL:            https://github.com/codecov/codecov-python
# PyPI doesn't include tests so use the GitHub tarball instead
Source0:        %{url}/archive/v%{version}/codecov-python-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  sed
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(ddt)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(requests)

%description
%{common_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%if 0%{?fedora} == 32
%py_provides    python3-%{pypi_name}
%endif

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n codecov-python-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove unneeded shebang
sed -e "\|#!/usr/bin/env python3|d" -i %{pypi_name}/*.py

%build
%py3_build

%install
%py3_install

%check
# Disable tests that require network access
%pytest tests/test.py \
  --deselect tests/test.py::TestUploader::test_bowerrc_none \
  --deselect tests/test.py::TestUploader::test_prefix \
  --deselect tests/test.py::TestUploader::test_send

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/codecov
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Nov 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.1.12-1
- Update to 2.1.12; Fixes: RHBZ#1989250

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.1.11-3
- Rebuilt for Python 3.10

* Tue Mar 16 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.11-2
- Remove uneeded shebangs
- Fix license and description

* Tue Mar 09 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.11-1
- Initial package.

